org.apache.hadoop.hdfs.server.common.blockaliasmap.impl

## Interface LevelDBFileRegionAliasMap.LevelDBReader.Options

- All Superinterfaces:
    BlockAliasMap.Reader.Options
  All Known Implementing Classes:
    LevelDBFileRegionAliasMap.LevelDBOptions
  Enclosing class:
    LevelDBFileRegionAliasMap.LevelDBReader

      public static interface LevelDBFileRegionAliasMap.LevelDBReader.Options
      extends BlockAliasMap.Reader.Options

  Options for `LevelDBFileRegionAliasMap.LevelDBReader`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LevelDBFileRegionAliasMap.LevelDBReader.Options` | `filename(String levelDBPath)`

- - ### Method Detail

    - #### filename

          LevelDBFileRegionAliasMap.LevelDBReader.Options filename(String levelDBPath)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.